USN-5048-1: Inetutils vulnerability

19 August 2021

Inetutils could be made to crash if it received specially crafted input.

Releases

Packages

Details

It was discovered that Inetutils telnet server allows remote attackers to
execute arbitrary code via short writes or urgent data. An attacker could use
this vulnerability to cause a DoS or possibly execute arbitrary code.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.04
Ubuntu 18.04

After a standard system update you need to restart Inetutils telnetd to make
all the necessary changes.

References